Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 785472 (Horde_Db) - Review Request: php-horde-Horde-Db - Horde Database Libraries
Summary: Review Request: php-horde-Horde-Db - Horde Database Libraries
Keywords:
Status: CLOSED ERRATA
Alias: Horde_Db
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: horde-channel Horde_Exception Horde_Date Horde_Support
Blocks: 785473 Horde_Rdo Horde_SessionHandler Horde_Share Horde_History
TreeView+ depends on / blocked
 
Reported: 2012-01-29 02:58 UTC by Nick Bebout
Modified: 2013-03-28 18:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-27 20:28:16 UTC
Type: ---
Embargoed:
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (deleted)
2013-02-09 17:07 UTC, Remi Collet
no flags Details
php-horde-Horde-Db-review.txt (deleted)
2013-02-09 17:07 UTC, Remi Collet
no flags Details

Description Nick Bebout 2012-01-29 02:58:08 UTC
Spec URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Db.spec
SRPM URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Db-1.2.0-1.fc16.src.rpm
Description: Horde database/SQL abstraction layer

Comment 2 Nick Bebout 2012-07-19 16:52:00 UTC
I believe all of the normal blockers for the php-horde-Horde-* packages are fixed with this package.

Comment 3 Shawn Iwinski 2013-01-05 19:11:38 UTC
Please update to latest version and make any necessary updates before review.

Comment 5 Remi Collet 2013-02-09 17:07:15 UTC
Created attachment 695525 [details]
phpci.log

Comment 6 Remi Collet 2013-02-09 17:07:55 UTC
Created attachment 695526 [details]
php-horde-Horde-Db-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 785472

Comment 7 Remi Collet 2013-02-09 17:09:38 UTC
[!]: Requires correct, justified where necessary.
	/usr/bin/env  
	=> Fix horde-db-migrate-component shebang (will pull php-cli)

	from phpci output:
	Requires: php-ereg
	Requires: php-pcre
	Requires: php-spl
	Requires: php-pdo

	pgsql, mysql and mysqli are optionnal,
	probably we need to recommand at least one
	(I think of mysqli as mysql will be deprecated in php 5.5)

Comment 8 Remi Collet 2013-02-10 17:49:14 UTC
For shebang, see https://github.com/horde/horde/pull/29
(so, as acked by upstream, should be fixed in next version)

See Horde_Vfs for a temporary fix.

Comment 10 Remi Collet 2013-03-21 15:20:02 UTC
--- php-horde-Horde-Db.spec.0	2013-02-09 17:36:24.000000000 +0100
+++ php-horde-Horde-Db.spec	2013-03-20 21:21:07.000000000 +0100
@@ -4,8 +4,8 @@
 %global pear_channel pear.horde.org
 
 Name:           php-horde-Horde-Db
-Version:        2.0.1
-Release:        2%{?dist}
+Version:        2.0.2
+Release:        1%{?dist}
 Summary:        Horde Database Libraries
 
 Group:          Development/Libraries
@@ -24,6 +24,7 @@
 Requires(postun): %{__pear}
 Requires:       php-common >= 5.3.0
 Requires:       php-channel(%{pear_channel})
+Requires:       php-ereg php-pcre php-spl php-pdo
 Requires:       php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
 Conflicts:      php-pear(%{pear_channel}/Horde_Date) >= 3.0.0
 Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
@@ -97,6 +98,9 @@
 
 
 %changelog
+* Wed Mar 20 2013 Nick Bebout <nb> - 2.0.2-1
+- Update for review
+
 * Tue Feb 5 2013 Nick Bebout <nb> - 2.0.1-2
 - Use php-common instead of php(language), Remove BuildRoot


Shebang issue fixed by new upstream version

No blocker

== APPROVED ==

Comment 11 Nick Bebout 2013-03-21 15:39:55 UTC
New Package SCM Request
=======================
Package Name: php-horde-Horde-Db
Short Description: Horde database/SQL abstraction layer
Owners: nb remi
Branches: el6 f18 f19
InitialCC:

Comment 12 Gwyn Ciesla 2013-03-21 16:21:49 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2013-03-22 00:32:59 UTC
php-horde-Horde-Db-2.0.2-1.el6, php-horde-Horde-LoginTasks-2.0.2-4.el6, php-horde-Horde-Stream-Filter-2.0.1-4.el6, php-horde-Horde-Token-2.0.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Db-2.0.2-1.el6,php-horde-Horde-LoginTasks-2.0.2-4.el6,php-horde-Horde-Stream-Filter-2.0.1-4.el6,php-horde-Horde-Token-2.0.3-3.el6

Comment 14 Fedora Update System 2013-03-22 00:36:52 UTC
php-horde-Horde-Db-2.0.2-1.fc18, php-horde-Horde-Group-2.0.2-1.fc18, php-horde-Horde-LoginTasks-2.0.2-4.fc18, php-horde-Horde-Stream-Filter-2.0.1-4.fc18, php-horde-Horde-Token-2.0.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Db-2.0.2-1.fc18,php-horde-Horde-Group-2.0.2-1.fc18,php-horde-Horde-LoginTasks-2.0.2-4.fc18,php-horde-Horde-Stream-Filter-2.0.1-4.fc18,php-horde-Horde-Token-2.0.3-3.fc18

Comment 15 Fedora Update System 2013-03-22 15:03:49 UTC
php-horde-Horde-Db-2.0.2-1.el6, php-horde-Horde-LoginTasks-2.0.2-4.el6, php-horde-Horde-Stream-Filter-2.0.1-4.el6, php-horde-Horde-Token-2.0.3-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 16 Fedora Update System 2013-03-27 20:28:24 UTC
php-horde-Horde-Db-2.0.2-1.fc18, php-horde-Horde-Group-2.0.2-1.fc18, php-horde-Horde-LoginTasks-2.0.2-4.fc18, php-horde-Horde-Stream-Filter-2.0.1-4.fc18, php-horde-Horde-Token-2.0.3-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 17 Fedora Update System 2013-03-28 18:39:17 UTC
php-horde-Horde-Db-2.0.2-1.el6, php-horde-Horde-LoginTasks-2.0.2-4.el6, php-horde-Horde-Stream-Filter-2.0.1-4.el6, php-horde-Horde-Token-2.0.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.